# 決済 実行

`PUT /v1/payments/{id}`

- operationId: `executePayment`
- tags: 決済

fincodeに登録された決済情報を指定し、請求を実行します。


## コードサンプル

### cURL

```bash
curl \
    -X PUT \
    -H "Authorization:Bearer <Secret API Key>" \
    -H "Content-Type: application/json" \
    -d '{
    "pay_type": "Card",
    "access_id": "<Access ID>",
    "token": "<Token from fincodeJS>",
}' \
'https://api.test.fincode.jp/v1/payments/{id}'
```

### Node.js

```javascript
import { createFincode } from "@fincode/node";

const API_KEY = "<Secret API Key>";

(async () => {
    const fincode = createFincode({ apiKey: API_KEY, isLiveMode: false });

    const orderId = "<Order ID>";
    const accessId = "<Access ID>";

    const customerId = "<Customer ID>";
    const cardId = "<Card ID>";

    try {
        // リクエストの送信
        const payment = await fincode.payments.execute(orderId, {
            pay_type: "Card",
            access_id: accessId,
            customer_id: customerId,
            card_id: cardId,
            tds2_ret_url: "https://your-service.example.com/tds2_return",
        });
    } catch (e) {
        // エラーの処理
    }
})();
```

### Go

```go
package main

import (
	"bytes"
	"encoding/json"
	"fmt"
	"log"
	"net/http"
)

func main() {

	apiKey := "<Secret API Key>"

	body := ExecutingPaymentRequest{
		PayType:    "Card",
		AccessID:   "<Access ID>",
		CustomerID: stringPointer("<Customer ID>"),
		CardID:     stringPointer("<Card ID>"),
		Method:     stringPointer("1"),
		Tds2RetURL: stringPointer("https://your-service.example.com/tds2_returns"),
	}

	marshalledBody, _ := json.Marshal(body)

	// リクエストの作成
	req, _ := http.NewRequest("PUT", "https://api.test.fincode.jp/v1/payments/{id}", bytes.NewBuffer(marshalledBody))
	req.Header.Set("Authorization", fmt.Sprintf("Bearer %s", apiKey))
	req.Header.Set("Content-Type", "application/json")

	// リクエストの送信
	client := &http.Client{}
	res, err := client.Do(req)
	if err != nil {
		log.Fatal(err)
	}
	defer res.Body.Close()

}

type ExecutingPaymentRequest struct {
	PayType    string  `json:"pay_type"`
	AccessID   string  `json:"access_id"`
	Token      *string `json:"token,omitempty"`
	CustomerID *string `json:"customer_id,omitempty"`
	CardID     *string `json:"card_id,omitempty"`
	Method     *string `json:"method,omitempty"`
	PayTimes   *string `json:"pay_times,omitempty"`
	Tds2RetURL *string `json:"tds2_ret_url,omitempty"`
}

func stringPointer(s string) *string {
	return &s
}
```

### PHP

```php
<?php

$apiKey = '<Secret API Key>';

$orderId = '<Order ID>';

$baseUrl = "https://api.test.fincode.jp";
$endpoint = "/v1/payments/{$orderId}";

$data = json_encode([
    "pay_type" => "Card",
    "access_id" => "<Access ID>",
    "customer_id" => "<Customer ID>",
    "card_id" => "<Card ID>",
]);

$session = curl_init();
curl_setopt($session, CURLOPT_URL, $baseUrl . $endpoint);
curl_setopt($session, CURLOPT_HTTPHEADER, $headers);
curl_setopt($session, CURLOPT_CUSTOMREQUEST, 'PUT');
curl_setopt($session, CURLOPT_POSTFIELDS, $data);
curl_setopt($session, CURLOPT_RETURNTRANSFER, true);
// curl_setopt($session, CURLOPT_SSL_VERIFYPEER, );
// curl_setopt($session, CURLOPT_SSL_VERIFYHOST, );

$response = curl_exec($session);

if ($response === false) {
    # エラー処理
    echo "cURL Error: " . curl_error($session);
} else {
    # APIからのデータを処理
    var_dump($response);
}

curl_close($session);
```

### Python 3

```python
import requests

api_key = '<Secret API Key>'

order_id = '<Order ID>'

url = f'https://api.test.fincode.jp/v1/payments/{order_id}/'

# ヘッダーを設定
headers = {
    'Authorization': f'Bearer {api_key}',
    'Content-Type': 'application/json'
}

data = {
    "pay_type": "Card",
    "access_id": "<Access ID>",
    "token": "<Token from fincodeJS>",
}

# HTTP POSTリクエストの送信
try:
    response = requests.put(url, headers=headers, json=data)

    # レスポンスの処理
    if response.status_code == 200:
        # 成功した場合の処理
        print(f"Success: {response.json()}")
    else:
        # エラーの処理
        print(f"Error: {response.json()}")
except requests.RequestException as e:
    # 通信エラーの処理
    print(f"Request error: {e}")
```

### Ruby

```ruby
require 'net/http'
require 'uri'
require 'json'


API_KEY = '<Secret API Key>'
BASE_URL = 'https://api.test.fincode.jp'

def main
    order_id = '<Order ID>'
    endpoint = "/v1/payments/#{order_id}"
    query_params =  {
        pay_type: 'Card',
    }

    uri = URI.parse(BASE_URL + endpoint)

    http = Net::HTTP.new(uri.host, uri.port)
    http.use_ssl = true

    data = {
        pay_type: "Card",
        access_id: "<Access ID>",
        token: "<Token from fincodeJS>",
    }

    # リクエストの作成
    request = Net::HTTP::Put.new(uri.request_uri)
    request['Authorization'] = "Bearer #{API_KEY}"
    request['Content-Type'] = 'application/json'

    request.body = data.to_json

    # リクエストの送信
    response = http.request(request)

    case response
    when Net::HTTPSuccess
        puts 'SUCCESS'
    else
        puts 'ERROR'
    end

    # レスポンスの表示
    puts response.body
end

main
```

## パラメータ

| 名前 | 位置 | 必須 | 型 | 説明 |
| --- | --- | --- | --- | --- |
| `Tenant-Shop-Id` | header |  | schema | <span class="smallText color--red-400">※ プラットフォームのメインショップのみ指定可</span> |
| `id` | path | ✓ | OrderId_schema | オーダーID（決済情報のID） |

## リクエストボディ

Content-Type: `application/json`

#### カード決済

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `pay_type` | PayType | ✓ | 決済種別 |
| `access_id` | access_id | ✓ |  |
| `token` | token |  | カードトークン |
| `customer_id` | id |  | 顧客ID |
| `card_id` | properties-id |  | カードID |
| `security_code` | string |  | セキュリティコード |
| `method` | CardPayMethod |  | 支払方法 |
| `pay_times` | CardPayTimes |  |  |
| `tds2_ret_url` | tds2_ret_url |  | 3Dセキュア認証における戻りURL |
| `return_url` | x-req-properties-return_url |  | 加盟店戻りURL（成功時） |
| `return_url_on_failure` | x-req-properties-return_url_on_failure |  | 加盟店戻りURL（失敗時） |
| `tds2_ch_acc_change` | tds2_ch_acc_change |  |  |
| `tds2_ch_acc_date` | tds2_ch_acc_date |  |  |
| `tds2_ch_acc_pw_change` | tds2_ch_acc_pw_change |  |  |
| `tds2_nb_purchase_account` | tds2_nb_purchase_account |  |  |
| `tds2_payment_acc_age` | tds2_payment_acc_age |  |  |
| `tds2_provision_attempts_day` | tds2_provision_attempts_day |  |  |
| `tds2_ship_address_usage` | tds2_ship_address_usage |  |  |
| `tds2_ship_name_ind` | tds2_ship_name_ind |  |  |
| `tds2_suspicious_acc_activity` | tds2_suspicious_acc_activity |  |  |
| `tds2_txn_activity_day` | tds2_txn_activity_day |  |  |
| `tds2_txn_activity_year` | tds2_txn_activity_year |  |  |
| `tds2_three_ds_req_auth_data` | tds2_three_ds_req_auth_data |  |  |
| `tds2_three_ds_req_auth_method` | tds2_three_ds_req_auth_method |  |  |
| `tds2_three_ds_req_auth_timestamp` | tds2_three_ds_req_auth_timestamp |  |  |
| `tds2_email` | tds2_email |  |  |
| `tds2_addr_match` | tds2_addr_match |  |  |
| `tds2_bill_addr_country` | tds2_bill_addr_country |  |  |
| `tds2_bill_addr_state` | tds2_bill_addr_state |  |  |
| `tds2_bill_addr_city` | tds2_bill_addr_city |  |  |
| `tds2_bill_addr_line_1` | tds2_bill_addr_line_1 |  |  |
| `tds2_bill_addr_line_2` | tds2_bill_addr_line_2 |  |  |
| `tds2_bill_addr_line_3` | tds2_bill_addr_line_3 |  |  |
| `tds2_bill_addr_post_code` | tds2_bill_addr_post_code |  |  |
| `tds2_ship_addr_country` | tds2_ship_addr_country |  |  |
| `tds2_ship_addr_state` | tds2_ship_addr_state |  |  |
| `tds2_ship_addr_city` | tds2_ship_addr_city |  |  |
| `tds2_ship_addr_line_1` | tds2_ship_addr_line_1 |  |  |
| `tds2_ship_addr_line_2` | tds2_ship_addr_line_2 |  |  |
| `tds2_ship_addr_line_3` | tds2_ship_addr_line_3 |  |  |
| `tds2_ship_addr_post_code` | tds2_ship_addr_post_code |  |  |
| `tds2_ship_ind` | tds2_ship_ind |  |  |
| `tds2_delivery_email_address` | tds2_delivery_email_address |  |  |
| `tds2_home_phone_cc` | tds2_home_phone_cc |  |  |
| `tds2_home_phone_no` | tds2_home_phone_no |  |  |
| `tds2_mobile_phone_cc` | tds2_mobile_phone_cc |  |  |
| `tds2_mobile_phone_no` | tds2_mobile_phone_no |  |  |
| `tds2_work_phone_cc` | tds2_work_phone_cc |  |  |
| `tds2_work_phone_no` | tds2_work_phone_no |  |  |
| `tds2_delivery_timeframe` | tds2_delivery_timeframe |  |  |
| `tds2_pre_order_date` | tds2_pre_order_date |  |  |
| `tds2_pre_order_purchase_ind` | tds2_pre_order_purchase_ind |  |  |
| `tds2_reorder_items_ind` | tds2_reorder_items_ind |  |  |
| `tds2_recurring_expiry` | tds2_recurring_expiry |  |  |
| `tds2_recurring_frequency` | tds2_recurring_frequency |  |  |
| `tds2_gift_card_amount` | tds2_gift_card_amount |  |  |
| `tds2_gift_card_count` | tds2_gift_card_count |  |  |
| `tds2_gift_card_curr` | tds2_gift_card_curr |  |  |

#### Apple Pay

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `pay_type` | PayType | ✓ | 決済種別 |
| `access_id` | access_id | ✓ |  |
| `token` | Payment.ApplePay_x-req-properties-token | ✓ |  |
| `customer_id` | id |  | 顧客ID |

#### Google Pay

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `pay_type` | PayType | ✓ | 決済種別 |
| `access_id` | access_id | ✓ |  |
| `token` | Payment.GooglePay_x-req-properties-token | ✓ |  |
| `customer_id` | id |  | 顧客ID |
| `method` | CardPayMethod | ✓ | 支払方法 |
| `pay_times` | CardPayTimes |  |  |
| `tds2_ret_url` | tds2_ret_url |  | 3Dセキュア認証における戻りURL |
| `return_url` | x-req-properties-return_url |  | 加盟店戻りURL（成功時） |
| `return_url_on_failure` | x-req-properties-return_url_on_failure |  | 加盟店戻りURL（失敗時） |
| `tds2_ch_acc_change` | tds2_ch_acc_change |  |  |
| `tds2_ch_acc_date` | tds2_ch_acc_date |  |  |
| `tds2_ch_acc_pw_change` | tds2_ch_acc_pw_change |  |  |
| `tds2_nb_purchase_account` | tds2_nb_purchase_account |  |  |
| `tds2_payment_acc_age` | tds2_payment_acc_age |  |  |
| `tds2_provision_attempts_day` | tds2_provision_attempts_day |  |  |
| `tds2_ship_address_usage` | tds2_ship_address_usage |  |  |
| `tds2_ship_name_ind` | tds2_ship_name_ind |  |  |
| `tds2_suspicious_acc_activity` | tds2_suspicious_acc_activity |  |  |
| `tds2_txn_activity_day` | tds2_txn_activity_day |  |  |
| `tds2_txn_activity_year` | tds2_txn_activity_year |  |  |
| `tds2_three_ds_req_auth_data` | tds2_three_ds_req_auth_data |  |  |
| `tds2_three_ds_req_auth_method` | tds2_three_ds_req_auth_method |  |  |
| `tds2_three_ds_req_auth_timestamp` | tds2_three_ds_req_auth_timestamp |  |  |
| `tds2_email` | tds2_email |  |  |
| `tds2_addr_match` | tds2_addr_match |  |  |
| `tds2_bill_addr_country` | tds2_bill_addr_country |  |  |
| `tds2_bill_addr_state` | tds2_bill_addr_state |  |  |
| `tds2_bill_addr_city` | tds2_bill_addr_city |  |  |
| `tds2_bill_addr_line_1` | tds2_bill_addr_line_1 |  |  |
| `tds2_bill_addr_line_2` | tds2_bill_addr_line_2 |  |  |
| `tds2_bill_addr_line_3` | tds2_bill_addr_line_3 |  |  |
| `tds2_bill_addr_post_code` | tds2_bill_addr_post_code |  |  |
| `tds2_ship_addr_country` | tds2_ship_addr_country |  |  |
| `tds2_ship_addr_state` | tds2_ship_addr_state |  |  |
| `tds2_ship_addr_city` | tds2_ship_addr_city |  |  |
| `tds2_ship_addr_line_1` | tds2_ship_addr_line_1 |  |  |
| `tds2_ship_addr_line_2` | tds2_ship_addr_line_2 |  |  |
| `tds2_ship_addr_line_3` | tds2_ship_addr_line_3 |  |  |
| `tds2_ship_addr_post_code` | tds2_ship_addr_post_code |  |  |
| `tds2_ship_ind` | tds2_ship_ind |  |  |
| `tds2_delivery_email_address` | tds2_delivery_email_address |  |  |
| `tds2_home_phone_cc` | tds2_home_phone_cc |  |  |
| `tds2_home_phone_no` | tds2_home_phone_no |  |  |
| `tds2_mobile_phone_cc` | tds2_mobile_phone_cc |  |  |
| `tds2_mobile_phone_no` | tds2_mobile_phone_no |  |  |
| `tds2_work_phone_cc` | tds2_work_phone_cc |  |  |
| `tds2_work_phone_no` | tds2_work_phone_no |  |  |
| `tds2_delivery_timeframe` | tds2_delivery_timeframe |  |  |
| `tds2_pre_order_date` | tds2_pre_order_date |  |  |
| `tds2_pre_order_purchase_ind` | tds2_pre_order_purchase_ind |  |  |
| `tds2_reorder_items_ind` | tds2_reorder_items_ind |  |  |
| `tds2_recurring_expiry` | tds2_recurring_expiry |  |  |
| `tds2_recurring_frequency` | tds2_recurring_frequency |  |  |
| `tds2_gift_card_amount` | tds2_gift_card_amount |  |  |
| `tds2_gift_card_count` | tds2_gift_card_count |  |  |
| `tds2_gift_card_curr` | tds2_gift_card_curr |  |  |

#### コンビニ決済

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `pay_type` | PayType | ✓ | 決済種別 |
| `access_id` | access_id | ✓ |  |
| `customer_id` | id |  | 顧客ID |
| `payment_term_day` | payment_term_day |  |  |
| `device_name` | device_name | ✓ |  |
| `win_width` | win_width | ✓ |  |
| `win_height` | win_height | ✓ |  |
| `pixel_ratio` | pixel_ratio | ✓ |  |
| `win_size_type` | win_size_type | ✓ |  |

#### PayPay

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `pay_type` | PayType | ✓ | 決済種別 |
| `access_id` | access_id | ✓ |  |
| `customer_id` | id |  | 顧客ID |
| `redirect_url` | properties-redirect_url | ✓ |  |
| `redirect_type` | redirect_type |  |  |
| `user_agent` | user_agent |  |  |

#### 口座振替

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `pay_type` | PayType | ✓ | 決済種別 |
| `access_id` | access_id | ✓ |  |
| `customer_id` | id | ✓ | 顧客ID |
| `payment_method_id` | PaymentMethod_properties-id |  | 決済手段ID |
| `target_date` | target_date | ✓ |  |

#### 銀行振込（バーチャル口座）

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `pay_type` | PayType | ✓ | 決済種別 |
| `access_id` | access_id | ✓ |  |
| `payment_term_day` | x-req-properties-payment_term_day |  |  |
| `reference_order_id` | reference_order_id |  |  |
| `customer_id` | id |  | 顧客ID |
| `payment_method_id` | PaymentMethod_properties-id |  | 決済手段ID |

## レスポンス

### 200 リクエストに成功

##### カード決済

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `shop_id` | Shop_properties-id |  |  |
| `id` | string |  | オーダーID |
| `access_id` | string |  | 取引ID |
| `amount` | integer |  | 利用金額 |
| `tax` | integer |  | 税送料 |
| `total_amount` | integer(int64) |  | 合計金額 |
| `client_field_1` | client_field_n |  | 加盟店自由項目 1 |
| `client_field_2` | client_field_n |  | 加盟店自由項目 2 |
| `client_field_3` | client_field_n |  | 加盟店自由項目 3 |
| `process_date` | string |  | 決済 処理日時 |
| `customer_id` | id |  | 顧客ID |
| `customer_group_id` | string |  | 顧客情報共有グループID |
| `error_code` | error_code |  | この決済において発生したエラーのうち、一番最新のエラーのエラーコードです。 |
| `bill_id` | string |  | 請求ID |
| `created` | created |  |  |
| `updated` | updated |  |  |
| `pay_type` | PayType |  | 決済種別 |
| `job_code` | enum(CHECK | AUTH | CAPTURE | CANCEL) |  | 取引種別 |
| `status` | PaymentStatus |  | 決済ステータス |
| `card_id` | properties-id |  | カードID |
| `brand` | CardBrand |  |  |
| `card_no` | card_no |  |  |
| `expire` | expire |  |  |
| `holder_name` | holder_name |  |  |
| `card_no_hash` | card_no_hash |  |  |
| `method` | CardPayMethod |  |  |
| `pay_times` | CardPayTimesResponse |  |  |
| `bulk_payment_id` | PaymentBulk_properties-id |  | 一括決済ID |
| `subscription_id` | Subscription_properties-id |  | サブスクリプションID |
| `tds_type` | tds_type |  |  |
| `tds2_type` | tds2_type |  |  |
| `tds2_ret_url` | tds2_ret_url |  |  |
| `return_url` | x-req-properties-return_url |  |  |
| `return_url_on_failure` | x-req-properties-return_url_on_failure |  |  |
| `tds2_status` | ThreeDSecure2Status |  |  |
| `merchant_name` | td_tenant_name |  |  |
| `forward` | string |  | 仕向け先 |
| `issuer` | string |  | イシュア |
| `transaction_id` | string |  | トランザクションID |
| `approve` | string |  | 承認番号 |
| `auth_max_date` | string |  | 仮売上有効期限 |
| `item_code` | string |  | 商品コード |
| `send_url` | string |  | ※ 閉塞機能 |
| `acs` | string |  | ※ 閉塞機能 |
| `acs_url` | string |  | 3Dセキュア認証初期化URL |
| `redirect_url` | string |  | リダイレクトURL |

##### Apple Pay

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `shop_id` | Shop_properties-id |  |  |
| `id` | string |  | オーダーID |
| `access_id` | string |  | 取引ID |
| `amount` | integer |  | 利用金額 |
| `tax` | integer |  | 税送料 |
| `total_amount` | integer(int64) |  | 合計金額 |
| `client_field_1` | client_field_n |  | 加盟店自由項目 1 |
| `client_field_2` | client_field_n |  | 加盟店自由項目 2 |
| `client_field_3` | client_field_n |  | 加盟店自由項目 3 |
| `process_date` | string |  | 決済 処理日時 |
| `customer_id` | id |  | 顧客ID |
| `customer_group_id` | string |  | 顧客情報共有グループID |
| `error_code` | error_code |  | この決済において発生したエラーのうち、一番最新のエラーのエラーコードです。 |
| `bill_id` | string |  | 請求ID |
| `created` | created |  |  |
| `updated` | updated |  |  |
| `pay_type` | PayType |  | 決済種別 |
| `job_code` | enum(AUTH | CAPTURE | CANCEL) |  | 取引種別 |
| `status` | PaymentStatus |  | 決済ステータス |
| `brand` | CardBrand |  |  |
| `card_no` | card_no |  | マスク済みカード番号。 |
| `expire` | expire |  |  |
| `holder_name` | holder_name |  |  |
| `card_no_hash` | card_no_hash |  |  |
| `method` | CardPayMethod |  |  |
| `pay_times` | CardPayTimesResponse |  |  |
| `forward` | string |  | 仕向け先 |
| `issuer` | string |  | イシュア |
| `transaction_id` | string |  | トランザクションID |
| `approve` | string |  | 承認番号 |
| `auth_max_date` | string |  | 仮売上有効期限 |
| `item_code` | string |  | 商品コード |
| `send_url` | string |  | ※ 閉塞機能 |

##### Google Pay

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `shop_id` | Shop_properties-id |  |  |
| `id` | string |  | オーダーID |
| `access_id` | string |  | 取引ID |
| `amount` | integer |  | 利用金額 |
| `tax` | integer |  | 税送料 |
| `total_amount` | integer(int64) |  | 合計金額 |
| `client_field_1` | client_field_n |  | 加盟店自由項目 1 |
| `client_field_2` | client_field_n |  | 加盟店自由項目 2 |
| `client_field_3` | client_field_n |  | 加盟店自由項目 3 |
| `process_date` | string |  | 決済 処理日時 |
| `customer_id` | id |  | 顧客ID |
| `customer_group_id` | string |  | 顧客情報共有グループID |
| `error_code` | error_code |  | この決済において発生したエラーのうち、一番最新のエラーのエラーコードです。 |
| `bill_id` | string |  | 請求ID |
| `created` | created |  |  |
| `updated` | updated |  |  |
| `pay_type` | PayType |  | 決済種別 |
| `job_code` | enum(AUTH | CAPTURE | CANCEL) |  | 取引種別 |
| `status` | PaymentStatus |  | 決済ステータス |
| `brand` | GooglePayCardBrand |  |  |
| `card_no` | card_no |  | マスク済みカード番号。 |
| `expire` | expire |  |  |
| `card_no_hash` | card_no_hash |  |  |
| `method` | CardPayMethod |  |  |
| `pay_times` | CardPayTimesResponse |  |  |
| `tds_type` | tds_type |  |  |
| `tds2_type` | tds2_type |  |  |
| `tds2_ret_url` | tds2_ret_url |  |  |
| `tds2_status` | ThreeDSecure2Status |  |  |
| `merchant_name` | td_tenant_name |  |  |
| `forward` | string |  | 仕向け先 |
| `issuer` | string |  | イシュア |
| `transaction_id` | string |  | トランザクションID |
| `approve` | string |  | 承認番号 |
| `auth_max_date` | string |  | 仮売上有効期限 |
| `acs` | string |  |  |
| `item_code` | string |  | 商品コード |
| `return_url` | x-req-properties-return_url |  |  |
| `return_url_on_failure` | x-req-properties-return_url_on_failure |  |  |
| `acs_url` | string |  | 3Dセキュア認証初期化URL |
| `redirect_url` | string |  | リダイレクトURL |

##### コンビニ決済

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `shop_id` | Shop_properties-id |  |  |
| `id` | string |  | オーダーID |
| `access_id` | string |  | 取引ID |
| `amount` | integer |  | 利用金額 |
| `tax` | integer |  | 税送料 |
| `total_amount` | integer(int64) |  | 合計金額 |
| `client_field_1` | client_field_n |  | 加盟店自由項目 1 |
| `client_field_2` | client_field_n |  | 加盟店自由項目 2 |
| `client_field_3` | client_field_n |  | 加盟店自由項目 3 |
| `process_date` | string |  | 決済 処理日時 |
| `customer_id` | id |  | 顧客ID |
| `customer_group_id` | string |  | 顧客情報共有グループID |
| `error_code` | error_code |  | この決済において発生したエラーのうち、一番最新のエラーのエラーコードです。 |
| `bill_id` | string |  | 請求ID |
| `created` | created |  |  |
| `updated` | updated |  |  |
| `pay_type` | PayType |  | 決済種別 |
| `status` | PaymentStatus |  | 決済ステータス |
| `payment_term_day` | integer(int64) |  | 支払い期限日数 |
| `payment_term` | string |  | 支払い期限日時 |
| `payment_date` | string |  | 支払日時 |
| `barcode` | string |  | バーコード画像 Base64エンコード済み画像データ |
| `barcode_format` | enum(jpg | png | bmp) |  | バーコード画像 フォーマット |
| `barcode_width` | string |  | バーコード画像 横幅（px） |
| `barcode_height` | string |  | バーコード画像 縦幅（px） |
| `overpayment_flag` | enum(0 | 1) |  | 多重支払フラグ |
| `cancel_overpayment_flag` | enum(0 | 1) |  | キャンセル後支払フラグ |
| `konbini_code` | KonbiniCode |  |  |
| `konbini_store_code` |  |  | コンビニ店舗コード |
| `device_name` | device_name |  |  |
| `os_version` |  |  | OSバージョン |
| `win_width` | win_width |  |  |
| `win_height` | win_height |  |  |
| `xdpi` |  |  | 画面横幅のDPI |
| `ydpi` |  |  | 画面縦幅のDPI |
| `result` | KonbiniPaymentProcessResult |  |  |
| `order_serial` | string |  | 注文管理ID |
| `invoice_id` | string |  | 請求ID |

##### PayPay

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `shop_id` | Shop_properties-id |  |  |
| `id` | string |  | オーダーID |
| `access_id` | string |  | 取引ID |
| `amount` | integer |  | 利用金額 |
| `tax` | integer |  | 税送料 |
| `total_amount` | integer(int64) |  | 合計金額 |
| `client_field_1` | client_field_n |  | 加盟店自由項目 1 |
| `client_field_2` | client_field_n |  | 加盟店自由項目 2 |
| `client_field_3` | client_field_n |  | 加盟店自由項目 3 |
| `process_date` | string |  | 決済 処理日時 |
| `customer_id` | id |  | 顧客ID |
| `customer_group_id` | string |  | 顧客情報共有グループID |
| `error_code` | error_code |  | この決済において発生したエラーのうち、一番最新のエラーのエラーコードです。 |
| `bill_id` | string |  | 請求ID |
| `created` | created |  |  |
| `updated` | updated |  |  |
| `pay_type` | PayType |  | 決済種別 |
| `job_code` | enum(AUTH | CAPTURE | CANCEL) |  | 取引種別 |
| `status` | PaymentStatus |  | 決済ステータス |
| `code_url` | string |  | PayPay支払いURL |
| `code_expiry_date` | string |  | 支払期限 |
| `redirect_url` | string |  | リダイレクトURL |
| `redirect_type` | enum(1 | 2) |  | リダイレクト先種別 |
| `auth_max_date` | string |  | 仮売上期限 |
| `order_description` | string |  | 注文内容の説明 |
| `capture_description` | string |  | 売上確定の説明 |
| `update_description` | string |  | 金額変更の説明 |
| `cancel_description` | string |  | キャンセルの説明 |
| `store_id` | string |  | 店舗ID |
| `code_id` | string |  | PayPayの支払いコードID |
| `payment_id` | string |  | PayPay 決済ID |
| `paypay_result_code` | string |  | PayPay処理結果コード |
| `merchant_payment_id` | string |  | PayPay トランザクションID |
| `merchant_capture_id` | string |  | PayPay 売上確定ID |
| `merchant_update_id` | string |  | PayPay 金額変更ID |
| `merchant_revert_id` | string |  | PayPay キャンセルID |
| `merchant_refund_id` | string |  | PayPay 返金ID |
| `payment_date` | string |  | 支払日時 |

##### 口座振替

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `shop_id` | Shop_properties-id |  |  |
| `id` | string |  | オーダーID |
| `access_id` | string |  | 取引ID |
| `amount` | integer |  | 利用金額 |
| `tax` | integer |  | 税送料 |
| `total_amount` | integer(int64) |  | 合計金額 |
| `client_field_1` | client_field_n |  | 加盟店自由項目 1 |
| `client_field_2` | client_field_n |  | 加盟店自由項目 2 |
| `client_field_3` | client_field_n |  | 加盟店自由項目 3 |
| `process_date` | string |  | 決済 処理日時 |
| `customer_id` | id |  | 顧客ID |
| `customer_group_id` | string |  | 顧客情報共有グループID |
| `error_code` | error_code |  | この決済において発生したエラーのうち、一番最新のエラーのエラーコードです。 |
| `bill_id` | string |  | 請求ID |
| `created` | created |  |  |
| `updated` | updated |  |  |
| `pay_type` | PayType |  | 決済種別 |
| `status` | PaymentStatus |  | 決済ステータス |
| `result_code` | DirectDebitResultCode |  |  |
| `target_date` | string |  | 振替指定日 |
| `withdrawal_date` | string |  | 引き落とし日 |
| `request_accept_end_date` | string |  | 請求依頼受付期間 終了日 |
| `transfer_return_date` | string |  | 請求結果反映 予定日 |
| `payment_method_id` | string |  | 決済手段ID |
| `bank_code` | string |  | 金融機関コード |
| `bank_name` | string |  | 金融機関名 |
| `branch_code` | string |  | 支店コード |
| `branch_name` | string |  | 支店名 |
| `remarks` | string |  | ご利用明細表示内容 |
| `subscription_id` | Subscription_properties-id |  | サブスクリプションID |
| `settlement_route` | DirectDebitSettlementRoute |  |  |

##### 銀行振込（バーチャル口座）

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `shop_id` | Shop_properties-id |  |  |
| `id` | string |  | オーダーID |
| `access_id` | string |  | 取引ID |
| `amount` | integer |  | 利用金額 |
| `tax` | integer |  | 税送料 |
| `total_amount` | integer(int64) |  | 合計金額 |
| `client_field_1` | client_field_n |  | 加盟店自由項目 1 |
| `client_field_2` | client_field_n |  | 加盟店自由項目 2 |
| `client_field_3` | client_field_n |  | 加盟店自由項目 3 |
| `process_date` | string |  | 決済 処理日時 |
| `customer_id` | id |  | 顧客ID |
| `customer_group_id` | string |  | 顧客情報共有グループID |
| `error_code` | error_code |  | この決済において発生したエラーのうち、一番最新のエラーのエラーコードです。 |
| `bill_id` | string |  | 請求ID |
| `created` | created |  |  |
| `updated` | updated |  |  |
| `pay_type` | PayType |  | 決済種別 |
| `status` | PaymentStatus |  | 決済ステータス |
| `billing_amount` | integer(int64) |  | 振込依頼金額 |
| `billing_tax` | integer(int64) |  | 振込依頼金額（税送料） |
| `billing_total_amount` | integer(int64) |  | 振込依頼金額 合計 |
| `payment_term_day` | integer(int64) |  | 支払期限日数 |
| `payment_term` | string |  | 支払期限 |
| `payment_method_id` | PaymentMethod_properties-id |  |  |
| `va_branch_code` | string |  | 支店コード |
| `va_branch_name` | string |  | 支店名 |
| `va_account_number` | string |  | 口座番号 |
| `va_account_name` | string |  | 口座名義 |
| `virtual_account_id` | string |  | バーチャル口座ID |
| `account_assignment_date` | string |  | バーチャル口座 割当日時 |
| `transaction_date` | string |  | 取引日 |
| `value_date` | string |  | 起算日 |
| `remitter_account_name` | string |  | 振込依頼人 氏名 |
| `remitter_bank_name` | string |  | 振込依頼人 銀行名 |
| `remitter_branch_name` | string |  | 振込依頼人 支店名 |
| `overpayment_flag` | enum(0 | 1) |  | 多重支払フラグ |
| `cancel_overpayment_flag` | enum(0 | 1) |  | キャンセル後支払フラグ |
| `expire_overpayment_flag` | enum(0 | 1) |  | 期限切れ後支払フラグ |
| `use_exact_deposit_amount` | enum(true | false) |  | 入金可能額設定利用フラグ |
| `use_static_virtual_account` | enum(true | false) |  | 顧客固定バーチャル口座利用フラグ |
| `bulk_payment_id` | PaymentBulk_properties-id |  | 一括決済ID |

### 400 不正なリクエスト

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `errors` | array<FincodeAPIError> |  |  |

